//注册buff
StartupEvents.registry('mob_effect', event => {
    //切割
    event.create('tetra:severed')
        .modifyAttribute("minecraft:generic.max_health", 'severed', -0.05, 'multiply_base')
        .modifyAttribute("minecraft:generic.attack_damage", 'severed', -0.05, 'multiply_base')
        .harmful()
    //驱役
    event.create('enslavement')
        .category('neutral')
        .color(Color.DARK_RED)
    //咒翼
    event.create('zhou_yi')
        .beneficial()
        .modifyAttribute("caelus:fall_flying", 'zhou_yi', 1, 'addition')
        .color(Color.DARK_RED)
    //击退抗性
    event.create('ji_tui')
        .beneficial()
        .modifyAttribute("minecraft:generic.attack_knockback", 'ji_tui', 1, 'addition')
        .color(Color.DARK_RED)
    //飞行 
    event.create('fei_xing')
        .beneficial()
        .modifyAttribute("attributeslib:creative_flight", 'fei_xing', 1, 'addition')
        .color(Color.DARK_RED)
    //入梦
    event.create('ru_meng')
        .harmful()
        .color(Color.PINK_DYE)
    //巨化
    event.create('ju_hua')
        .beneficial()
        .modifyAttribute("minecraft:generic.max_health", 'ju_hua', 0.25, 'multiply_base')
        .color(Color.DARK_RED)
    //缩小
    event.create('suo_xiao')
        .beneficial()
        .modifyAttribute("minecraft:generic.attack_speed", 'suo_xiao', 0.25, 'multiply_base')
        .color(Color.DARK_RED)
    //活化
    event.create('living')
        .displayName('活化')
        .beneficial()
        .modifyAttribute("minecraft:generic.max_health", 'living', 0.05, 'multiply_base')
        .color(Color.DARK_RED)
    //炽热烙印
    event.create('cataclysm:blazing_brand')
        .harmful()
        .modifyAttribute("minecraft:generic.armor_toughness", 'blazing_brand', -0.1, 'multiply_base')
        .modifyAttribute("minecraft:generic.armor", 'blazing_brand', -0.1, 'multiply_base')
        .color(Color.DARK_RED)
    //铁块防御
    event.create('iron_blocks_defense')
        .displayName('武装')
        .beneficial()
        .color(Color.GRAY)
    //过载
    event.create('overload')
        .displayName('过载')
        .beneficial()
        .color(Color.GRAY)
    //CD，用于控制玩家攻击，boss回血的cd
    event.create('cd')
        .displayName('CD')
})